Skip to main content
GET
https://api.usenotra.com
/
v1
/
schedules
List schedules
curl --request GET \
  --url https://api.usenotra.com/v1/schedules \
  --header 'Authorization: Bearer <token>'
{
  "schedules": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "name": "<string>",
      "sourceType": "cron",
      "sourceConfig": {
        "cron": {
          "frequency": "daily",
          "hour": 11,
          "minute": 29,
          "dayOfWeek": 3,
          "dayOfMonth": 16
        }
      },
      "targets": {
        "repositoryIds": [
          "<string>"
        ]
      },
      "outputType": "changelog",
      "enabled": true,
      "autoPublish": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "lookbackWindow": "current_day",
      "outputConfig": {
        "publishDestination": "webflow",
        "brandVoiceId": "<string>"
      }
    }
  ],
  "repositoryMap": {},
  "organization": {
    "id": "<string>",
    "slug": "<string>",
    "name": "<string>",
    "logo": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer API_KEY.

Query Parameters

repositoryIds
string

Filter by repository IDs using a comma-separated list

Example:

"repo_123,repo_456"

Response

Schedules fetched successfully

schedules
object[]
required
repositoryMap
object
required
organization
object
required